Subject: renumbering IKE payloads

From: Michael Richardson <[email-masked]>
Date: Sun, 30 Mar 2003 13:46:11 -0500

-----BEGIN PGP SIGNED MESSAGE-----

I was looking for a table of payload numbers in ikev2-05.

a) I would like to suggest that a table be created in section 3.2.

b) I would like to suggest that the payload numbers used in IKEv2 be
   distinct from those used in IKEv1.

   This will make debugging code that has both v2 and v1 slightly easier.

   The field is an eight bit field. Perhaps some will feel that we would
   chew up too many values.  I disagree on this.

]       ON HUMILITY: to err is human. To moo, bovine.           |  firewalls  [
]   Michael Richardson, Sandelman Software Works, Ottawa, ON    |net architect[
] [email-masked] http://www.sandelman.ottawa.on.ca/ |device driver[
] panic("Just another Debian GNU/Linux using, kernel hacking, security guy"); [